import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
import { getWeekMonthQuarterYear } from '/@/utils';
//列表数据
export const columns: BasicColumn[] = [
  {
    title: '上架状态：0:未上架；1：已上架；默认0',
    align: "center",
    dataIndex: 'putaway'
  },
  {
    title: '图片路径',
    align: "center",
    dataIndex: 'images',
    customRender: render.renderImage,
  },
  {
    title: '模板价格',
    align: "center",
    dataIndex: 'templatePrice'
  },
  {
    title: '模板标签',
    align: "center",
    dataIndex: 'templateTags'
  },
  {
    title: '站点域名',
    align: "center",
    dataIndex: 'domain'
  },
  {
    title: '站点备注',
    align: "center",
    dataIndex: 'descirbe'
  },
  {
    title: '站点状态：0：创建失败，1：正常运行，2：运行异常 3:站点停止',
    align: "center",
    dataIndex: 'runStatus'
  },
];

// 高级查询数据
export const superQuerySchema = {
  putaway: {title: '上架状态：0:未上架；1：已上架；默认0',order: 0,view: 'number', type: 'number',},
  images: {title: '图片路径',order: 1,view: 'image', type: 'string',},
  templatePrice: {title: '模板价格',order: 2,view: 'number', type: 'number',},
  templateTags: {title: '模板标签',order: 3,view: 'text', type: 'string',},
  domain: {title: '站点域名',order: 4,view: 'text', type: 'string',},
  descirbe: {title: '站点备注',order: 5,view: 'text', type: 'string',},
  runStatus: {title: '站点状态：0：创建失败，1：正常运行，2：运行异常 3:站点停止',order: 6,view: 'number', type: 'number',},
};
